Package twisted :: Package internet :: Module error

[show private | hide private]
[frames | no frames]

## Module twisted.internet.error

Exceptions and errors for use in twisted.internet modules.

API Stability: semi-stable

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Exceptions
`AlreadyCalled` | Tried to cancel an already-called event.
`AlreadyCancelled` | Tried to cancel an already-cancelled event.
`BadFileError` | File used for UNIX socket is no good.
`BindError` | An error occured binding to an interface.
`CannotListenError` | This gets raised by a call to startListening, when the object cannot start listening.
`ConnectBindError` | Couldn't bind.
`ConnectError` | An error that occured while connecting.
`ConnectionDone` | Connection was closed cleanly.
`ConnectionFdescWentAway` | Uh.
`ConnectionLost` | Connection to the other side was lost in a non-clean fashion.
`ConnectionRefusedError` | Connection was refused by other side.
`DNSLookupError` | DNS lookup failed.
`MessageLengthError` | Message is too long to send.
`NoRouteError` | No route to host.
`NotConnectingError` | The Connector was not connecting when it was asked to stop connecting.
`NotListeningError` | The Port was not listening when it was asked to stop listening.
`ProcessDone` | A process has ended without apparent errors.
`ProcessTerminated` | A process has ended with a probable error condition.
`ServiceNameUnknownError` | Service name given as port is unknown.
`SSLError` | An SSL error occured.
`TCPTimedOutError` | TCP connection timed out.
`TimeoutError` | User timeout caused connection failure.
`UnknownHostError` | Hostname couldn't be looked up.
`UserError` | User aborted connection.

Function Summary
| ``getConnectError`(e)` Given a socket exception, return connection error.

Variable Summary
`dict` | `errnoMapping`

Function Details

### getConnectError(e)

Given a socket exception, return connection error.

Variable Details

### errnoMapping

  Type:
    `dict`
  Value:

        {22: <class twisted.internet.error.ConnectionRefusedError at 0x82a5c0c\
        >,
         101: <class twisted.internet.error.NoRouteError at 0x82a3ea4>,
         110: <class twisted.internet.error.TCPTimedOutError at 0x829df8c>,
         111: <class twisted.internet.error.ConnectionRefusedError at 0x82a5c0\
        c>}

Generated by Epydoc 1.1 on Thu May 8 13:18:26 2003 | http://epydoc.sf.net